#include <bits/stdc++.h>
using namespace std;
int main()
{
    string s;
    cin>>s;
    long long max=0;
    long long d=s.length();
    long long a[30]={0};
    char b;
    for(long long i=0;i<d;i++)
    {
        a[s[i]-'a']++;
        if(a[s[i]-'a']>max) 
		{
			max = a[s[i]-'a'];
			b=s[i];
		}
    }
    long long cnt=0;
    long long br=0;
    for(long long i=0;i<d;i++)
    {
    	if(s[i]==b)
    	{
    		if(cnt!=0)
    		{
    			if(br%2==1) 
    			{
    				max--;
    				br=0;
				}
			}
    		else
    		{
    			cnt++;
    			br=0;
			}
		}
		else br++;
	}
    cout<<max-1;
}